Skip to content

Get a list of transport request by filter criteria

Request

Retrieve a list of Transport Requests in bulk, identified by the query parameters defined in the request. Providing no query parameters will return all known Transport Requests. Providing any additional filter will return the matching subset of Transport Requests. When providing multiple filter parameters, all filters must match for a Transport Request to be included in the response.

Since Transport Requests are volatile data, this endpoints returns a cursor-based paged list. Paging through the results requires you to call the API using the prev, self or next values in the cursor. These will return the next batch of up to limit results.

You can find out more about how to use cursors in our developer portal.

Security
clientCredentials
Query
start_atstring, (date-time)

An ISO-8601 formatted date, that acts as the lower bound for which the Transport Request must be applicable, ie: earliest_start_at must be equal to or larger than start_at.

end_atstring, (date-time)

An ISO-8601 formatted date, that acts as the lower bound for which the Transport Request must be applicable, ie: earliest_start_at must be smaller than end_at.

cursorstring

Cursor of the page to retrieve. Can be left blank initially to retrieve the first page. Paging through the results requires passing in the cursor from a previous response.

limitinteger, (int32), [ 1 .. 1000 ]

Number of results per page.

Default:100
Payload
// No request payload

Responses

A cursor-based paged set of Transport Requests. The set might be empty if no Transport Requests match the query.

Bodyapplication/json
dataArray of objects(TransportRequest)required

Subset of Transport Requests matching the provided query, limited to the size specified in the request.

cursorobject(Cursor)required
Response
{ "data": [ { … } ], "cursor": { "self": "c2VsZl9fcGFnZQ", "prev": "cHJldmlvdXNfX3BhZ2U", "next": "bmV4dF9fcGFnZQ" } }